<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns="http://xmlns.jcp.org/xml/ns/persistence"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence
             http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd"
	version="2.1">
	
	<persistence-unit name="armapersonaje11">
		<class>ejemplo.modelo.Arma</class>
		<class>ejemplo.modelo.Personaje"</class>		
		<properties>
			<property name="hibernate.show_sql" value="true" />
			<property name="hibernate.dialect"	value="org.hibernate.dialect.MariaDBDialect" />
			<property name="jakarta.persistence.jdbc.driver" value="org.mariadb.jdbc.Driver" />
			<property name="jakarta.persistence.jdbc.user" value="batoi" />
			<property name="jakarta.persistence.jdbc.password" value="1234" />
			<property name="jakarta.persistence.jdbc.url" value="jdbc:mariadb://192.168.56.103:3306/bdrelaciones11" />
			<property name="jakarta.persistence.show_sql" value="true"/>
			<property name="hibernate.hbm2ddl.auto" value="create" />
		</properties>
	</persistence-unit>
	
	<persistence-unit name="armapersonaje1N">	
		<class>ejemplo.modelo1N.Arma</class>
		<class>ejemplo.modelo1N.Personaje"</class>
		<properties>
			<property name="hibernate.show_sql" value="true" />	
			<property name="hibernate.dialect" value="org.hibernate.dialect.MariaDBDialect" />
			<property name="jakarta.persistence.jdbc.driver" value="org.mariadb.jdbc.Driver" />
			<property name="jakarta.persistence.jdbc.user" value="batoi" />
			<property name="jakarta.persistence.jdbc.password" value="1234" />
			<property name="jakarta.persistence.jdbc.url" value="jdbc:mariadb://192.168.56.103:3306/bdrelaciones1N" />
			<property name="jakarta.persistence.show_sql" value="true"/>
			<property name="hibernate.hbm2ddl.auto" value="create" />
		</properties>
	</persistence-unit>
	
	<persistence-unit name="armapersonajeNN">	
		<class>ejemplo.modeloNN.Arma</class>
		<class>ejemplo.modeloNN.Personaje"</class>
		<properties>
			<property name="hibernate.show_sql" value="true" />	
			<property name="hibernate.dialect" value="org.hibernate.dialect.MariaDBDialect" />
			<property name="jakarta.persistence.jdbc.driver" value="org.mariadb.jdbc.Driver" />
			<property name="jakarta.persistence.jdbc.user" value="batoi" />
			<property name="jakarta.persistence.jdbc.password" value="1234" />
			<property name="jakarta.persistence.jdbc.url" value="jdbc:mariadb://192.168.56.103:3306/bdrelacionesNN" />
			<property name="jakarta.persistence.show_sql" value="true"/>
			<property name="hibernate.hbm2ddl.auto" value="create" />
		</properties>
	</persistence-unit>
	
	<persistence-unit name="armapersonaje2NN">	
		<class>ejemplo.modelo2NN.Arma</class>
		<class>ejemplo.modelo2NN.Personaje"</class>
		<class>ejemplo.modelo2NN.PersonajeTieneArma"</class>			
		<properties>
			<property name="hibernate.show_sql" value="true" />	
			<property name="hibernate.dialect" value="org.hibernate.dialect.MariaDBDialect" />
			<property name="jakarta.persistence.jdbc.driver" value="org.mariadb.jdbc.Driver" />
			<property name="jakarta.persistence.jdbc.user" value="batoi" />
			<property name="jakarta.persistence.jdbc.password" value="1234" />
			<property name="jakarta.persistence.jdbc.url" value="jdbc:mariadb://192.168.56.103:3306/bdrelaciones2NN" />
			<property name="jakarta.persistence.show_sql" value="true"/>
			<property name="hibernate.hbm2ddl.auto" value="create" />
		</properties>
	</persistence-unit>
</persistence>